<%-- 
/**
  * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
  * License as published by the Free Software Foundation; either
  * version 2.1 of the License, or any later version.
  *
  * This library is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  * USA
  *
  * Component of: Red Hat Application Server
  * 
  * Initial Developers: Aizaz Ahmed
  *                     Vivek Lakshmanan
  *                     Andrew Overholt
  *                     Matthew Wringe
  * Developers: Greg Lapouchnian
  * 			Patrick Smith
  */
--%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<div id="navcontainer">
<ul>

    <a href="<c:url value="/store/index.do"/>"> Home </html:link>
    <a href="<c:url value="/store/editUser.do"/>"> My Profile </a>
    <a href="<c:url value="/store/viewOrders.do"/>"> My Orders </a>
    <a href="<c:url value="/store/viewMyItems.do"/>"> My Items </a>
    <a href="<c:url value="/store/listItems.do"/>"> Products </a>
    
    <ul>  
       <c:forEach var="type" items="${types}">
	      <a href="<c:url value="/store/listItems.do"><c:param name="type" value="${type.name}"/></c:url>">${type.name}</a>
	   </c:forEach>
    </ul>
    <a href="<c:url value="/store/cart.do"/>"> Checkout </a>
    <a href="<c:url value="/store/signout.do"/>"> Logout </a>
    <c:if test="${isAdmin}">
    <a href"#"> Admin </a>
            <ul>
	    <a href="<c:url value="/admin/createItem.do"/>"> Create Item </a>
		<a href="<c:url value="/admin/createType.do"/>"> Create Type </a>
		<a href="<c:url value="/admin/editStatus.do"/>"> Update Orders </a>
 
            </ul>
    </c:if>
</ul>
</div>
