<%-- 
/**
  * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
  * License as published by the Free Software Foundation; either
  * version 2.1 of the License, or any later version.
  *
  * This library is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  * USA
  *
  * Component of: Red Hat Application Server
  * 
  * Initial Developers: Aizaz Ahmed
  *                     Vivek Lakshmanan
  *                     Andrew Overholt
  *                     Matthew Wringe
  * Developers: Greg Lapouchnian
  * 			Patrick Smith
  */
--%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring" %>

    <div class="row">
        <span class="label"> First Name </span>
        <span class="formw">
		    <spring:bind path="command.user.fname">
    			<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>

    <div class="row">
        <span class="label"> Last Name </span>
        <span class="formw">
		    <spring:bind path="command.user.lname">
		    	<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>

    <div class="row">
        <span class="label"> Phone Number </span>
        <span class="formw">
		    <spring:bind path="command.user.phoneNum">
		    	<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>
    
    <div class="row">
        <span class="label"> Email Address </span>
        <span class="formw">
		    <spring:bind path="command.user.emailAdd">
		    	<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>
    
    <br />
    <div class="formheader"><span>Address Information</span></div>
    <div class="row">
        <span class="label"> Street 1</span>
        <span class="formw">
		    <spring:bind path="command.address.street1">
		    	<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>
    
    <div class="row">
        <span class="label"> Street 2</span>
        <span class="formw">
		    <spring:bind path="command.address.street2">
		    	<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>
    
    <div class="row">
        <span class="label"> City</span>
        <span class="formw">
		    <spring:bind path="command.address.city">
		    	<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>
    
    <div class="row">
        <span class="label"> Province</span>
        <span class="formw">
		    <spring:bind path="command.address.province">
		    	<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>
    
    <div class="row">
        <span class="label"> Postal Code</span>
        <span class="formw">
		    <spring:bind path="command.address.postalCode">
		    	<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>
    
    <div class="row">
        <span class="label"> Country</span>
        <span class="formw">
		    <spring:bind path="command.address.country">
		    	<input name="<c:out value="${status.expression}"/>" value="<c:out value="${status.value}"/>" size="55"/> <br>
		    	<span class="error"><c:out value="${status.errorMessage}"/></span>
		   	</spring:bind>
	    </span>
    </div>