<%-- 
/**
  * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
  * License as published by the Free Software Foundation; either
  * version 2.1 of the License, or any later version.
  *
  * This library is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  * USA
  *
  * Component of: Red Hat Application Server
  * 
  * Initial Developers: Aizaz Ahmed
  *                     Vivek Lakshmanan
  *                     Andrew Overholt
  *                     Matthew Wringe
  *
  */
--%>
<%@ page contentType="text/html"
         import="olstore.entity.*"
	 import="olstore.framework.EJBHomeFactory"
         import="java.util.Collection"
         import="java.util.Iterator"
         %>

<%-- Get the home Type --%>
<%
    EJBHomeFactory factory=EJBHomeFactory.getInstance();
    TypeLocalHome home = (TypeLocalHome)factory.getLocalHome(EJBHomeFactory.TYPE);
%>

<p> Listing all the types in the database </p>
<ul>
<%
    try {
        Collection allTypes = home.findAll();
        Iterator it = allTypes.iterator();
        while ( it.hasNext() ) {
            TypeLocal types = (TypeLocal) it.next();
            request.setAttribute ( "typeToDisplay", types );
            %> <jsp:include page="../views/TypeView.jsp" /> <%
        }
    }  catch ( Exception e ) {
        out.println ( "Could not list all Types : " + e.getMessage() );
    }

%>
</ul>
