package org.objectweb.jonas.jtests.beans.relation.lcp;

import javax.ejb.EntityContext;
import javax.ejb.RemoveException;
import javax.ejb.CreateException;


public abstract class SIMPLECHILDBean implements javax.ejb.EntityBean {

    // Variables
    private EntityContext ctx;

    public SIMPLECHILDBean() {
    }

    // Methods

    public void ejbActivate() {
    }

    public void ejbPassivate() {
    }

    public abstract String getScPkId();
    public abstract void setScPkId(String val);
    public abstract String getScDesc();
    public abstract void setScDesc(String val);


    /*****************************************************************************
     *
     * Sets the entity context
     *
     *****************************************************************************/
    public void setEntityContext(EntityContext context) {
        this.ctx = context;
    }

    /*****************************************************************************
     *
     * Un-sets the entity context
     *
     *****************************************************************************/
    public void unsetEntityContext() {
        this.ctx = null;
    }

    /*****************************************************************************
     *
     * Creates entity bean in persistent storage
     *
     *****************************************************************************/
    public SIMPLECHILDPK ejbCreateDEFAULT(String scPkId, String scDesc, SIMPLEPARENTLocal _SimplechildSimpleparent) throws CreateException {
        if (scPkId == null) {
            throw new CreateException("ejbCreate: parameter scPkId cannot be null");
        }
        if (scDesc == null) {
            throw new CreateException("ejbCreate: parameter scDesc cannot be null");
        }
        this.setScPkId(scPkId);
        this.setScDesc(scDesc);
        return null;
    }

    /*****************************************************************************
     *
     * Complete any post creation work here
     *
     *****************************************************************************/
    public void ejbPostCreateDEFAULT(String scPkId, String scDesc, SIMPLEPARENTLocal _SimplechildSimpleparent) throws CreateException {
        this.setSimplechildSimpleparent(_SimplechildSimpleparent);
    }

    /*****************************************************************************
     *
     * Stores entity bean to persistent storage
     *
     *****************************************************************************/
    public void ejbStore() {
    }

    /*****************************************************************************
     *
     * Removes entity bean from persistent storage
     *
     *****************************************************************************/
    public void ejbRemove() throws RemoveException {
    }

    /*****************************************************************************
     *
     * Loads entity bean from persistent storage
     *
     *****************************************************************************/
    public void ejbLoad() {
    }

    /*****************************************************************************
     *
     * Retrieves SIMPLEPARENTLocal relationship data
     *
     *****************************************************************************/
    public abstract SIMPLEPARENTLocal getSimplechildSimpleparent();

    /*****************************************************************************
     *
     * Sets SIMPLEPARENTLocal relationship data
     *
     *****************************************************************************/
    public abstract void setSimplechildSimpleparent(SIMPLEPARENTLocal var);

}
