package org.objectweb.jonas.jtests.beans.relation.lcp;

import javax.ejb.EntityContext;
import javax.ejb.RemoveException;
import javax.ejb.CreateException;


public abstract class SIMPLEPARENTBean implements javax.ejb.EntityBean {

    // Variables
    private  EntityContext ctx;

    public SIMPLEPARENTBean() {
    }

    // Methods
    public void ejbActivate() {
    }

    public void ejbPassivate() {
    }

    public abstract String getSpPkId();
    public abstract void setSpPkId(String val);
    public abstract String getSpDesc();
    public abstract void setSpDesc(String val);

    /*****************************************************************************
     *
     * Sets the entity context
     *
     *****************************************************************************/
    public void setEntityContext(EntityContext context) {
        this.ctx = context;
    }

    /*****************************************************************************
     *
     * Un-sets the entity context
     *
     *****************************************************************************/
    public void unsetEntityContext() {
        this.ctx = null;
    }

    /*****************************************************************************
     *
     * Creates entity bean in persistent storage
     *
     *****************************************************************************/
    public SIMPLEPARENTPK ejbCreateDEFAULT(String spPkId, String spDesc) throws CreateException {
        if (spPkId == null) {
            throw new CreateException("ejbCreate: parameter spPkId cannot be null");
        }
        if (spDesc == null) {
            throw new CreateException("ejbCreate: parameter spDesc cannot be null");
        }
        this.setSpPkId(spPkId);
        this.setSpDesc(spDesc);
        return null;
    }

    /*****************************************************************************
     *
     * Complete any post creation work here
     *
     *****************************************************************************/
    public void ejbPostCreateDEFAULT(String spPkId, String spDesc) throws CreateException {
    }

    /*****************************************************************************
     *
     * Stores entity bean to persistent storage
     *
     *****************************************************************************/
    public void ejbStore() {
    }

    /*****************************************************************************
     *
     * Removes entity bean from persistent storage
     *
     *****************************************************************************/
    public void ejbRemove() throws RemoveException {
    }

    /*****************************************************************************
     *
     * Loads entity bean from persistent storage
     *
     *****************************************************************************/
    public void ejbLoad() {
    }

    /*****************************************************************************
     *
     * Retrieves SIMPLECHILDLocal relationship data
     *
     *****************************************************************************/
    public abstract java.util.Collection getSimpleparentSimplechild();

    /*****************************************************************************
     *
     * Sets SIMPLECHILDLocal relationship data
     *
     *****************************************************************************/
    public abstract void setSimpleparentSimplechild(java.util.Collection var);

}
