<%-- 
/**
  * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
  * License as published by the Free Software Foundation; either
  * version 2.1 of the License, or any later version.
  *
  * This library is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  * USA
  *
  * Component of: Red Hat Application Server
  * 
  * Initial Developers: Aizaz Ahmed
  *                     Vivek Lakshmanan
  *                     Andrew Overholt
  *                     Matthew Wringe
  * Developers: Greg Lapouchnian
  * 			Patrick Smith
  */
--%>
<%@ page contentType="text/html" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<jsp:include page="common/loginHeader.jsp" />

	<div ALIGN="center">
	<h2>DATABASE POPULATION</h2>
	</div>

	<div style="MARGIN-LEFT:15%; MARGIN-RIGHT:15%">
	<h3>
	 This is the first time that you have accessed the Olstore Web Application and so the database 
	 has not been populated yet. 
  	 In order for the application to function properly the database must
   	 be populated with some default users and items.  <br/> </br>
    	 
   	 This may take a few seconds to complete. Please be patient. <br/> </br>
   	 The population only occurs the first time you run the Olstore application and so this will be the
   	 only time you see this message. <br/> </br>
    	     	 
   	 When the database population is complete, you will see a link at the bottom 
   	 of the page that will send you to the Olstore's Login Page </br> </br>
   	 
     <a href="<c:url value="/populate/populate.do"></c:url>">Click here to populate the database.</a>
	 
	 
	 </br> </br> </br>
	 <a href="<c:url value="/populate/populateInfo.do"></c:url>">
	 Click here for more information on clearing and recreating the database.
	 </a>
	 </div>

<jsp:include page="common/footer.jsp" />