<%-- 
/**
  * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
  * License as published by the Free Software Foundation; either
  * version 2.1 of the License, or any later version.
  *
  * This library is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  * USA
  *
  * Component of: Red Hat Application Server
  * 
  * Initial Developers: Aizaz Ahmed
  *                     Vivek Lakshmanan
  *                     Andrew Overholt
  *                     Matthew Wringe
  *
  */
--%>

<%-- 
This page creates a form for the user to fill out to create a 
new user profile.
--%>


<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>

<% request.setAttribute ( "page_title", "Create Your Profile" ); %>
<jsp:include page="../nav/loginHeader.jsp" />

<%@ page contentType="text/html"
         import="olstore.framework.EJBHomeFactory"
%>

<% EJBHomeFactory factory= EJBHomeFactory.getInstance();%>

<div id="form">
	<jsp:include page="../general/Messages.jsp" />
	<html:form action="/general/CreateUser.do">
	<html:hidden property="submitType" value="new"/>

	<div class="formheader">
		<span>Create Username and Password</span>
	</div>

	<div class="row">
	<span class="label"> Username </span>
	<span class="formw">
		<html:text property="username" size="55" maxlength="55"/>
	</span>
	</div>

	<div class="row">
	<span class="label"> Password </span>
	<span class="formw">
		<html:password property="passwd1" size="55" maxlength="55"/>
	</span>
	</div>

	<div class="row">
	<span class="label"> Confirm Password </span>
	<span class="formw">
		<html:password property="passwd2" size="55" maxlength="55"/>
	</span>
	</div>

	<div class="formheader">
	<span>Account Information</span>
	</div>
	<jsp:include page="/general/UserForm.jsp"/>

	<div class="formheader"><span></span></div>
	<div align="center">
		<html:submit value="Save" onclick="this.form.submitType.value='Save'" />
		<html:submit value="Cancel" onclick="this.form.submitType.value='Cancel'"/>
	</div>
	<div class="formheader"><span></span></div>


	</html:form>

</div>

<jsp:include page="../nav/Footer.jsp" />

