<%-- 
/**
  * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
  * License as published by the Free Software Foundation; either
  * version 2.1 of the License, or any later version.
  *
  * This library is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  * USA
  *
  * Component of: Red Hat Application Server
  * 
  * Initial Developers: Aizaz Ahmed
  *                     Vivek Lakshmanan
  *                     Andrew Overholt
  *                     Matthew Wringe
  *
  */
--%>

<%--
This page contains the common form elements between createUserForm 
and modUserForm.
--%>


<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tld/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tld/struts-logic.tld" prefix="logic" %>


<div class="row">
	<span class="label"> First Name </span>
	<span class="formw">
		<html:text property="fname" size="55" maxlength="55"/>
	</span>
</div>

<div class="row">
	<span class="label"> Last Name </span>
	<span class="formw">
		<html:text property="lname" size="55" maxlength="55"/>
	</span>
</div>

<div class="row">
	<span class="label"> Phone Number </span>
	<span class="formw">
		<html:text property="phoneNum" size="55" maxlength="55"/>
	</span>
</div>

<div class="row">
	<span class="label"> Email Address </span>
	<span class="formw">
		<html:text property="emailAdd" size="55" maxlength="55"/>
	</span>
</div>

<div class="formheader">
        <span>Address Information</span>
</div>

<div class="row">
        <span class="label"> Street 1 </span>
        <span class="formw">
                <html:text property="street1" size="55" maxlength="55"/>
        </span>
</div>

<div class="row">
        <span class="label"> Street 2 </span>
        <span class="formw">
                <html:text property="street2" size="55" maxlength="55"/>
        </span>
</div>

<div class="row">
        <span class="label"> City </span>
        <span class="formw">
                <html:text property="city" size="55" maxlength="55"/>
        </span>
</div>

<div class="row">
        <span class="label"> Province </span>
        <span class="formw">
                <html:text property="province" size="55" maxlength="55"/>
        </span>
</div>

<div class="row">
        <span class="label"> Postal Code </span>
        <span class="formw">
                <html:text property="postalCode" size="55" maxlength="55"/>
        </span>
</div>

<div class="row">
        <span class="label"> Country </span>
        <span class="formw">
                <html:text property="country" size="55" maxlength="55"/>
        </span>
</div>
