// DistrictHome.java

package org.objectweb.jonas.stests.appli;

import java.rmi.RemoteException;
import java.util.Enumeration;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

/**
 * Home interface for the bean District
 */
public interface DistrictHome extends EJBHome {
    public District create(int did, String wid, String name, int order)
        throws RemoteException, CreateException;
    public District findByPrimaryKey(DistrictID primaryKey)
        throws FinderException, RemoteException;
    public Enumeration findAllDistricts( )
        throws FinderException, RemoteException;
}
